import { HttpGetClient } from './http-get-client.js';
export { HttpGet } from './http-get-client.js';
import { HttpDeleteClient } from './http-delete-client.js';
export { HttpDelete } from './http-delete-client.js';
import { HttpPatchClient } from './http-patch-client.js';
export { HttpPatch } from './http-patch-client.js';
import { HttpPostClient } from './http-post-client.js';
export { HttpPost } from './http-post-client.js';
import { HttpPutClient } from './http-put-client.js';
export { HttpPut } from './http-put-client.js';
import '../http-headers.js';
import '../http-params.js';
import '../http-response.js';

type HttpClient = HttpDeleteClient & HttpGetClient & HttpPatchClient & HttpPostClient & HttpPutClient;

export { HttpClient, HttpDeleteClient, HttpGetClient, HttpPatchClient, HttpPostClient, HttpPutClient };
